### Method

# Aravis Buffer get_part_height

since: 0.8.23

#### Declaration [src]

    gint
    arv_buffer_get_part_height (
      ArvBuffer* buffer,
      guint part_id
    )

#### Description [src]

Gets the part height.

This function must only be called if buffer payload is either `ARV_BUFFER_PAYLOAD_TYPE_IMAGE`, `ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA` or `ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`.

Available since: 0.8.23

#### Parameters

`part_id`

  Type: `guint`

  A part id.

#### Return value

Type: `gint`

Height, in pixels.